%define name aethera
%define version 0.9.0
%define release 3mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Aethera - Email and PIM application for KDE
Group: Graphical desktop/KDE
Copyright: GPL
Packager: Daouda Lo <daouda@mandrakesoft.com>
Source: %{name}-%{version}.tar.bz2
#Source1: %{name}16.xpm.bz2
#Source2: %{name}32.xpm.bz2
#Source3: %{name}48.xpm.bz2
Patch: %{name}-%{version}-stdlib_missing.patch.bz2 
URL: http://www.thekompany.com/projects/aethera/
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Aethera is a pim application, i.e. it handles all kinds of personal information:
 email, contacts, notes, tasks, todos, journals.
It has various communication features regarding: send/receive email, 
send/receive task requests and appointment requests via email and it can 
also send SMSs using web gateways.1

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%patch -p1
%build
make -f Makefile.cvs
./configure  --with-install-root=$RPM_BUILD_ROOT

%make

%install
make prefix=$RPM_BUILD_ROOT%_prefix install
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/aethera
?package(aethera): needs=X11 \
section="Networking/Mail" \
title="Aethera" \
longtitle="Aethera pim client"\
command="/usr/bin/aethera" \
icon="mail_section.xpm"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun 
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_menudir}/aethera

%changelog
* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.0-3mdk
- Rebuild against Qt 2.3.0

* Fri Mar 9 2001 Daouda Lo <daouda@mandrakesoft.com> 0.9.0-2mdk
- add menu entry + icons

* Thu Mar  8 2001  Daouda Lo <daouda@mandrakesoft.com> 0.9.0-1mdk
- first mandrake build .
